Bug 223344

Summary: audio/p5-MusicBrainz-DiscID: Update to 0.04
Product: Ports & Packages Reporter: Ben Woods <woodsb02>
Component: Individual Port(s)Assignee: Ben Woods <woodsb02>
Status: Closed FIXED    
Severity: Affects Only Me CC: tobias.rehbein
Priority: --- Keywords: patch, patch-ready
Version: LatestFlags: tobias.rehbein: maintainer-feedback+
Hardware: Any   
OS: Any   
Attachments:
Description Flags
Patch to update audio/p5-MusicBrainz-DiscID to 0.04 none

Description Ben Woods freebsd_committer 2017-10-31 15:50:46 UTC
Created attachment 187616 [details]
Patch to update audio/p5-MusicBrainz-DiscID to 0.04

audio/p5-MusicBrainz-DiscID: Update to 0.04

Changes this release:
  http://cpansearch.perl.org/src/NJH/MusicBrainz-DiscID-0.04/Changes
Comment 1 Ben Woods freebsd_committer 2017-10-31 15:53:59 UTC
Seeking maintainer approval to update.

Note that USES=localbase was added, because although the Makefile.PL pkgconfig check was finding that the discid check required the CFLAGS+=-I/usr/local/include, it was not being included in the final Makefile, and therefore the build was failing to find the discid/discid.h header.
Comment 2 tobias.rehbein 2017-11-13 09:39:14 UTC
Thanks for the update.

I am not using this module anymore, so I got a little sloppy with following the updates.

If you are using this module and are willing to take over maintainership, feel free to take it :)

Beste regards,

  Tobias / blabber
Comment 3 Ben Woods freebsd_committer 2017-11-25 01:25:45 UTC
Commited. Thanks!
Comment 4 commit-hook freebsd_committer 2017-11-25 01:26:01 UTC
A commit references this bug:

Author: woodsb02
Date: Sat Nov 25 01:25:36 UTC 2017
New revision: 454860
URL: https://svnweb.freebsd.org/changeset/ports/454860

Log:
  audio/p5-MusicBrainz-DiscID: Update to 0.04

  - Take maintainership
  - Bump PORTREVISION of ports depending on this port
  - Added USES=localbase to work around an issue where the Makefile.PL
    pkgconfig check was finding that the discid check required the
    CFLAGS+=-I/usr/local/include, but was not adding it to the Makefile.

  Changes this release:
    http://cpansearch.perl.org/src/NJH/MusicBrainz-DiscID-0.04/Changes

  PR:		223344
  Approved by:	tobias.rehbein@web.de (previous maintainer)

Changes:
  head/audio/p5-MusicBrainz-DiscID/Makefile
  head/audio/p5-MusicBrainz-DiscID/distinfo
  head/audio/ripit/Makefile